gnutls_session_get_data(3)

NAME
gnutls_session_get_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_data(gnutls_session_t session, void * session_data, size_t * session_data_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

void * session_data
    is a pointer to space to hold the session.

size_t * session_data_size
    is the session_data's size, or it will be set by the function.

DESCRIPTION
Returns all session parameters needed to be stored to support resumption. The client should call this, and store the returned session data. A session may be resumed later by calling gnutls_session_set_data(). This function must be called after a successful handshake.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/